onEvent('recipes', event => {

    //Fill

    //Liquid Starlight
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('astralsorcery:liquid_starlight_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('astralsorcery:liquid_starlight', 1000))

    //Water
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:water_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('minecraft:water', 1000))

    //Lava
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:lava_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('minecraft:lava', 1000))

    //Milk
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:milk_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('minecraft:milk', 1000))

    //Cosmic Waste
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:cosmic_waste_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:cosmic_waste', 1000))

    //Molten Ultimate
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_ultimate_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_ultimate', 1000))

    //Molten Spacetime
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_spacetime_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_spacetime', 1000))

    //Molten Iron
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_iron_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_iron', 1000))

    //Molten Gold
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_gold_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_gold', 1000))

    //Molten Diamond
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_diamond_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_diamond', 1000))

    //Molten Emerald
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_emerald_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_emerald', 1000))

    //Molten Energised Gold Alloy
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_energised_gold_alloy_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_energised_gold_alloy', 1000))

    //Molten Netherite
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_netherite_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_netherite', 1000))

    //Molten Netherite-Starmetal Alloy
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_netherite_starmetal_alloy_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_netherite_starmetal_alloy', 1000))

    //Molten Starmetal
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_starmetal_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_starmetal', 1000))

    //Molten Briliant Diamond
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_briliant_diamond_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_briliant_diamond', 1000))

    //Molten Briliant Emerald
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('kubejs:molten_briliant_emerald_bucket'))
        .requireItem(Item.of('minecraft:bucket'))
        .requireFluid(Fluid.of('kubejs:molten_briliant_emerald', 1000))



    //Empty

    //Liquid Starlight
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('astralsorcery:liquid_starlight', 1000))
        .requireItem(Item.of('astralsorcery:liquid_starlight_bucket'))

    //Water
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('minecraft:water', 1000))
        .requireItem(Item.of('minecraft:water_bucket'))

    //Lava
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('minecraft:lava', 1000))
        .requireItem(Item.of('minecraft:lava_bucket'))

    //Milk
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('minecraft:milk', 1000))
        .requireItem(Item.of('minecraft:milk_bucket'))

    //Cosmic Waste
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:cosmic_waste', 1000))
        .requireItem(Item.of('kubejs:cosmic_waste_bucket'))

    //Molten Ultimate
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_ultimate', 1000))
        .requireItem(Item.of('kubejs:molten_ultimate_bucket'))

    //Molten Spacetime
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_spacetime', 1000))
        .requireItem(Item.of('kubejs:molten_spacetime_bucket'))

    //Molten Iron
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_iron', 1000))
        .requireItem(Item.of('kubejs:molten_iron_bucket'))

    //Molten Gold
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_gold', 1000))
        .requireItem(Item.of('kubejs:molten_gold_bucket'))

    //Molten Diamond
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_diamond', 1000))
        .requireItem(Item.of('kubejs:molten_diamond_bucket'))

    //Molten Emerald
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_emerald', 1000))
        .requireItem(Item.of('kubejs:molten_emerald_bucket'))

    //Molten Energised Gold Alloy
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_energised_gold_alloy', 1000))
        .requireItem(Item.of('kubejs:molten_energised_gold_alloy_bucket'))

    //Molten Netherite
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_netherite', 1000))
        .requireItem(Item.of('kubejs:molten_netherite_bucket'))

    //Molten Netherite-Starmetal Alloy
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_netherite_starmetal_alloy', 1000))
        .requireItem(Item.of('kubejs:molten_netherite_starmetal_alloy_bucket'))

    //Molten Starmetal
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_starmetal', 1000))
        .requireItem(Item.of('kubejs:molten_starmetal_bucket'))

    //Molten Briliant Diamond
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_briliant_diamond', 1000))
        .requireItem(Item.of('kubejs:molten_briliant_diamond_bucket'))

    //Molten Briliant Emerald
    event.recipes.custommachinery.custom_machine("modpack:fluid_canner", 5)
        .produceItem(Item.of('minecraft:bucket'))
        .produceFluid(Fluid.of('kubejs:molten_briliant_emerald', 1000))
        .requireItem(Item.of('kubejs:molten_briliant_emerald_bucket'))

})